GET /api/v3/apiKey

Get a list of all available API keys

GetApiKeysV3 Permissions: ApplicationSettings (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional

Filters

Filter Description Type Operators
apiKeyInfo Api Key Name String equals not equals one of like not like not one of
fullName Full Name String equals not equals one of like not like not one of
systemUserCode Username String equals not equals one of like not like not one of
systemUserID Integer equals not equals less than between one of greater than less than equal greater than equal not one of

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

ApiKeyResponse
Property Description Type
apiKeyDescription A description of the API key string
apiKeyId The identifier of the API key integer (int32)
apiKeyName The name of the API key string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The API key creation date string (date-time)
Example Response application/json
[
  {    "apiKeyDescription": "string",    "apiKeyId": 1,    "apiKeyName": "string",    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30"
  }
]